import { SvelteComponentTyped } from "svelte";
import { type PymatgenStructure } from './structure';
declare const __propDef: {
    props: {
        structure: PymatgenStructure;
        title?: string | undefined;
        fallback?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        title: {};
        fallback: {};
    };
};
export type StructureCardProps = typeof __propDef.props;
export type StructureCardEvents = typeof __propDef.events;
export type StructureCardSlots = typeof __propDef.slots;
export default class StructureCard extends SvelteComponentTyped<StructureCardProps, StructureCardEvents, StructureCardSlots> {
}
export {};
